Not sure if this is right, but OCAML_STDLIB_DIR can be undefined
in our cross-compiler.  It's only used in a one place in the C
code so this works around it.

Index: build-tree/ocaml-3.12.1/byterun/dynlink.c
===================================================================
--- build-tree.orig/ocaml-3.12.1/byterun/dynlink.c	2010-01-22 13:48:24.000000000 +0100
+++ build-tree/ocaml-3.12.1/byterun/dynlink.c	2011-10-09 04:22:48.999845476 +0200
@@ -80,7 +80,12 @@
 
   stdlib = getenv("OCAMLLIB");
   if (stdlib == NULL) stdlib = getenv("CAMLLIB");
-  if (stdlib == NULL) stdlib = OCAML_STDLIB_DIR;
+  if (stdlib == NULL)
+#ifdef OCAML_STDLIB_DIR
+    stdlib = OCAML_STDLIB_DIR;
+#else
+    stdlib = ".";
+#endif
   ldconfname = caml_stat_alloc(strlen(stdlib) + 2 + sizeof(LD_CONF_NAME));
   strcpy(ldconfname, stdlib);
   strcat(ldconfname, "/" LD_CONF_NAME);
